id: vince-panel

info:
  name: Vince Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Vince products was detected.
  reference:
    - https://github.com/vinceanalytics/vince
    - https://www.vinceanalytics.com/
  metadata:
    max-request: 1
    verified: true
  tags: panel,vince,login

http:
  - method: GET
    path:
      - "{{BaseURL}}/login"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "vince - high performance", "vince · open source web", "Welcome to Vince")'
        condition: and
# digest: 4a0a00473045022038e28d53cac5753c079a10b7258541023aa1c8bcb6d3a34351cf67b83d58d75f022100f695160c3d28444e7ddd02fde87f2656213517b4359296c8f13bb22ef7fc9369:922c64590222798bb761d5b6d8e72950